com.tibbo.aggregate.common.binding

## Class Binding

- java.lang.Object
- - com.tibbo.aggregate.common.binding.Binding

- All Implemented Interfaces:
    PublicCloneable, java.lang.Cloneable

      public class Binding
      extends java.lang.Object
      implements java.lang.Cloneable, PublicCloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Binding(Reference target, Expression expression)`
    `Binding(java.lang.String reference, java.lang.String expression)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Binding` | `clone()`
    `boolean` | `equals(java.lang.Object obj)`
    `Expression` | `getExpression()`
    `java.lang.Long` | `getId()`
    `java.lang.String` | `getQueue()`
    `Reference` | `getTarget()`
    `int` | `hashCode()`
    `void` | `setExpression(Expression expression)`
    `void` | `setId(java.lang.Long id)`
    `void` | `setQueue(java.lang.String queue)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Binding

          public Binding(Reference target,
                         Expression expression)

    - #### Binding

          public Binding(java.lang.String reference,
                         java.lang.String expression)

  - ### Method Detail

    - #### getExpression

          public Expression getExpression()

    - #### setExpression

          public void setExpression(Expression expression)

    - #### getTarget

          public Reference getTarget()

    - #### getId

          public java.lang.Long getId()

    - #### setId

          public void setId(java.lang.Long id)

    - #### getQueue

          public java.lang.String getQueue()

    - #### setQueue

          public void setQueue(java.lang.String queue)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### clone

          public Binding clone()

      Specified by:
        `clone` in interface `PublicCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`